/*
 * Theme Name:   MEWIGO
 * Theme URI:    https://www.mewigo.de
 * Description:  Bricks Child Theme
 * Author:       MEWIGO
 * Author URI:   https://www.mewigo.de
 * Template:     bricks
 * Version:      1.0
 * Text Domain:  mewigo
 */

/* ==========================================================================
	VARIABLES
	========================================================================== */
:root {
}
/* Responsive Variables
	========================================================================== */
@media (max-width: 768px) {
	:root {
		--container-padding-x: 15px !important;
	}
}
/* ==========================================================================
	HELPER CLASSES
	========================================================================== */
/* Responsive Display Classes */
@media (min-width: 769px) {
	:root body.brx-body .display-only-mobile {
		display: none;
	}
}
@media (max-width: 768px) {
	:root body.brx-body .display-only-desktop {
		display: none;
	}
}
/* ==========================================================================
	FONTS
	========================================================================== */
@font-face {
	font-family: 'Open Sans Fallback';
	src: local(Arial);
	size-adjust: 107%;
	ascent-override: 95%;
	line-gap-override: normal;
}
@font-face {
	font-display: swap;
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 400;
	src: url('/wp-content/themes/bricks-core/css/fonts/open-sans-v40-latin-regular.woff2') format('woff2');
}
@font-face {
	font-display: swap;
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 700;
	src: url('/wp-content/themes/bricks-core/css/fonts/open-sans-v40-latin-700.woff2') format('woff2');
}
/* cabin-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cabin';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/cabin-v35-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* cabin-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cabin';
  font-style: italic;
  font-weight: 400;
  src: url('./fonts/cabin-v35-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* cabin-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cabin';
  font-style: normal;
  font-weight: 700;
  src: url('./fonts/cabin-v35-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* cabin-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cabin';
  font-style: italic;
  font-weight: 700;
  src: url('./fonts/cabin-v35-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/fira-sans-v18-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: italic;
  font-weight: 400;
  src: url('./fonts/fira-sans-v18-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: normal;
  font-weight: 500;
  src: url('./fonts/fira-sans-v18-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: italic;
  font-weight: 500;
  src: url('./fonts/fira-sans-v18-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: normal;
  font-weight: 700;
  src: url('./fonts/fira-sans-v18-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* fira-sans-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Fira Sans';
  font-style: italic;
  font-weight: 700;
  src: url('./fonts/fira-sans-v18-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* ==========================================================================
	TYPOGRAPHY & TEXT WRAPPING
	========================================================================== */
/* Schriftgrößen mobil skalieren*/
@media only screen and (max-width: 1200px) {
	html {
		/* font-size: 55%; */
	}
}


@view-transition {
  navigation: auto;
}
body {
	font-family: 'Cabin', 'Arial', sans-serif;
	hyphens: auto;
	font-size: 1.8rem;
}
/* Headings & Pseudo-Headings */
h1, h2, h3, h4, h5,
.style-h1, .style-h2, .style-h3, .style-h4, .style-h5 {	
	font-family: 'Fira Sans', 'Arial', sans-serif;
	font-weight: 500;
	display: block;
	overflow-wrap: break-word;
	hyphens: manual;
	text-wrap: balance;
	hyphenate-limit-chars: auto 8;
	-webkit-hyphenate-limit-before: 8;
	-webkit-hyphenate-limit-after: 8;
}
@media only screen and (max-width: 768px) {
	h1, h2, h3, h4, h5,
	.style-h1, .style-h2, .style-h3, .style-h4, .style-h5 {
		hyphens: auto;
		hyphenate-limit-chars: auto 8;
		-webkit-hyphenate-limit-before:8;
		-webkit-hyphenate-limit-after: 6;
	}
}
/*
h1, .style-h1 {
	font-size: 5.0rem;
	line-height: 140%;
	letter-spacing: 100%;
	margin-bottom: 2.0rem;
}
h2, .style-h2 {
	font-size: 5.0rem;
	line-height: 140%;
	letter-spacing: 100%;
	margin-bottom: 2.0rem;
}
h3, .style-h3 {
	font-size: 5.0rem;
	line-height: 140%;
	letter-spacing: 100%;
	margin-bottom: 2.0rem;
}
h4, .style-h4 {
	font-size: 5.0rem;
	line-height: 140%;
	letter-spacing: 100%;
	margin-bottom: 2.0rem;
}
h5, .style-h5 {
	font-size: 5.0rem;
	line-height: 140%;
	letter-spacing: 100%;
	margin-bottom: 2.0rem;
}
*/
/* ==========================================================================
	SPECIAL HTML ELEMENTS
	========================================================================== */
/* Anchor Link Scroll Padding */
html {
	scroll-padding-top: calc(var(--header-height-full) + 20px);
}
/* Focus Outlines 
body.bricks-is-frontend :focus-visible {
	outline: 2px dashed currentcolor !important;
	outline-offset: -2px;
}
/* Fade-In-Effekt für Lazy Load  */
img[data-src] {
	opacity: 0;
}
img[data-type]:not([data-src]) {
	transition: opacity 400ms ease-out, scale 200ms linear;
	opacity: 1;
}
/* ==========================================================================
	LAYOUT & STRUKTUR
	========================================================================== */
/* Standard Spacing, Padding, Margins*/
:is(.brxe-text, .brxe-text-basic) > :not(a):first-child {
	margin-top: 0 !important;
	padding-top: 0 !important;
}
:is(.brxe-text, .brxe-text-basic) :not(:is(a, li)):last-child {
	margin-bottom: 0 !important;
	padding-bottom: 0 !important;
}
/* First Section Padding */
html > body > main section:first-child {
	padding-top: var(--section-first-padding-top);
}
/* Last Section Padding */
html > body > main section:last-child {
	padding-bottom: var(--section-last-padding-bottom);
}
/* Disable SVG Minimum Sizes 
svg:not([height]) {
	min-height: unset;
}
svg:not([width]) {
	min-width: unset;
}
/* ==========================================================================
	LINKS & BUTTONS
	========================================================================== */
/* Reguläre Links - Hover */
main a:not(.brxe-button, .brxe-block) {
	text-decoration: underline;
}
/* Leere Links - Hover */
a[href="#"]:hover {
	cursor: default;
}
/* ==========================================================================
	ELEMENTE
	========================================================================== */